summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDan Goodliffe <dan@randomdan.homeip.net>2017-07-24 21:00:49 +0100
committerDan Goodliffe <dan@randomdan.homeip.net>2017-07-24 21:01:08 +0100
commita0cfbb238592a6ec884a70b48b6e17819629325b (patch)
tree33ece8fa5e59a04d783889ff011739ca66628612 /eclass
parentFew updates in virtuals (diff)
downloadportage-a0cfbb238592a6ec884a70b48b6e17819629325b.tar.bz2
portage-a0cfbb238592a6ec884a70b48b6e17819629325b.tar.xz
portage-a0cfbb238592a6ec884a70b48b6e17819629325b.zip
die should be on build, not test only
Diffstat (limited to 'eclass')
-rw-r--r--eclass/bjam.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/bjam.eclass b/eclass/bjam.eclass
index 6d8d662..ea1e9ef 100644
--- a/eclass/bjam.eclass
+++ b/eclass/bjam.eclass
@@ -17,11 +17,11 @@ src_prepare() {
}
src_test() {
- bjambuild || die
+ bjambuild
}
bjambuild() {
- setarch $(uname -m) -RL b2 ${BJAMOPTS} variant=release -q $@
+ setarch $(uname -m) -RL b2 ${BJAMOPTS} variant=release -q $@ || die
}
doxygenbuild() {